Bug 61922 - glibc enand en_US locales are missing
glibc enand en_US locales are missing
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: glibc (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 18:32 EST by Need Real Name
Modified: 2016-11-24 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 18:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-25 18:32:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
when attempting to mount with nfs I recieve a RPC: Unable to recieve.

When run under strace it states
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
write(2, "mount: RPC: Port mapper failure "..., 57mount: RPC: Port mapper
failure - RPC: Unable to receive


Version-Release number of selected component (if applicable):
[root@jaxx root]# rpm -qa | grep glib
glibc-devel-2.2.5-27
glibc-2.2.5-27
glibc-common-2.2.5-27
glib-1.2.10-5
glibc-utils-2.2.5-27
glib-devel-1.2.10-5
glib2-2.0.0-1
compat-glibc-6.2-2.1.3.2
glibc-kernheaders-2.4-7.11


How reproducible:
Always

Steps to Reproduce:
1. mount nfs share
2.
3.
	

Actual Results:  [root@jaxx root]# mount -t nfs sydcormsmon1:/mnt/bigone/mp3
/mnt/mp3
mount: RPC: Port mapper failure - RPC: Unable to receive


Expected Results:  nfs mount whould have worked

Additional info:

poll([{fd=3, events=POLLIN, revents=POLLERR}], 1, 5000) = 1
recvmsg(3, {msg_name(16)={sin_family=AF_INET, sin_port=htons(111),
sin_addr=inet_addr("172.28.8.42")}},
msg_iov(1)=[{"$\215`\262\0\0\0\0\0\0\0\2\0\1\206\240\0\0\0\2\0\0\0\3"..., 56}],
msg_controllen=44, msg_control=0xbfffc8e0, , msg_flags=MSG_ERRQUEUE},
MSG_ERRQUEUE) = 56
close(3)                                = 0
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT (No such
file or directory)
write(2, "mount: RPC: Port mapper failure "..., 57mount: RPC: Port mapper
failure - RPC: Unable to receive
) = 57
_exit(32)                               = ?


portmapper is ok etc..
portmap   11138    root    3u  IPv4  64686       UDP *:sunrpc
portmap   11138    root    4u  IPv4  64687       TCP *:sunrpc (LISTEN)
rpc.statd 11174    root    4u  IPv4  65252       UDP *:32771
rpc.statd 11174    root    6u  IPv4  65255       TCP *:34619 (LISTEN)
Comment 1 Bill Nottingham 2002-03-26 14:44:33 EST
en_US just uses the default messages... there are no special translations.

Note You need to log in before you can comment on or make changes to this bug.